viewer: Added support for keyframable transformation properties
ClosedPublic

Authored by stefanzzz on Jul 4 2017, 4:04 PM.

Diff Detail

Repository
rPTV Pitivi
stefanzzz created this revision.Jul 4 2017, 4:04 PM
This revision is now accepted and ready to land.Jul 18 2017, 6:45 PM
thiblahute requested changes to this revision.Jul 18 2017, 6:51 PM

Thinking about it again, this is not resilient enough I think.

This is what I think should be done:

  • have a way to get Pipeline.get_position() to never fail (and return the last known position).
  • Make sure to return some sensible value if for some reason the pipeline position is not in the expected range.
pitivi/viewer/move_scale_overlay.py
337

What happens if position > self._source.props.start + self._source.props.duration (same if before) ?

I think it should return the value of binding.get_value(self._source.props.start + self._source.props.in_point)

349

Same question here.

This revision now requires changes to proceed.Jul 18 2017, 6:51 PM
stefanzzz added inline comments.Jul 19 2017, 1:28 PM
pitivi/viewer/move_scale_overlay.py
337

This should never happen. The current MoveScaleOverlay won't be visible and this method will not be called.

thiblahute added inline comments.Jul 19 2017, 2:04 PM
pitivi/viewer/move_scale_overlay.py
337

Right, this was in the context where we had get_pipeline_position return last_position to avoid failures.

stefanzzz marked 4 inline comments as done.Jul 19 2017, 2:24 PM
thiblahute accepted this revision.Jul 19 2017, 3:55 PM
This revision is now accepted and ready to land.Jul 19 2017, 3:55 PM
aleb added a comment.Jul 19 2017, 8:06 PM

the commit message first line missing an s

stefanzzz updated this revision to Diff 6078.Jul 20 2017, 12:15 PM
stefanzzz retitled this revision from viewer: Added support for keyframable tranformation properties to viewer: Added support for keyframable transformation properties.

Fixed commit message.

This revision was automatically updated to reflect the committed changes.